| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Enumerations
SensorMultilevel.cpp File Reference
`#include "command_classes/CommandClasses.h"`
`#include "command_classes/SensorMultilevel.h"`
`#include "command_classes/MultiInstance.h"`
`#include "Defs.h"`
`#include "Msg.h"`
`#include "Node.h"`
`#include "Driver.h"`
`#include "platform/Log.h"`
`#include "value_classes/ValueDecimal.h"`

## Enumerations
enum | SensorMultilevelCmd { SensorMultilevelCmd_SupportedGet = 0x01 , SensorMultilevelCmd_SupportedReport = 0x02 , SensorMultilevelCmd_Get = 0x04 , SensorMultilevelCmd_Report = 0x05 }
enum | SensorType { SensorType_Temperature = 1 , SensorType_General , SensorType_Luminance , SensorType_Power , SensorType_RelativeHumidity , SensorType_Velocity , SensorType_Direction , SensorType_AtmosphericPressure , SensorType_BarometricPressure , SensorType_SolarRadiation , SensorType_DewPoint , SensorType_RainRate , SensorType_TideLevel , SensorType_Weight , SensorType_Voltage , SensorType_Current , SensorType_CO2 , SensorType_AirFlow , SensorType_TankCapacity , SensorType_Distance , SensorType_AnglePosition , SensorType_Rotation , SensorType_WaterTemperature , SensorType_SoilTemperature , SensorType_SeismicIntensity , SensorType_SeismicMagnitude , SensorType_Ultraviolet , SensorType_ElectricalResistivity , SensorType_ElectricalConductivity , SensorType_Loudness , SensorType_Moisture , SensorType_Frequency , SensorType_Time , SensorType_TargetTemperature , SensorType_PM25 , SensorType_CH2O , SensorType_RadonConcentration , SensorType_CH4Density , SensorType_VOC , SensorType_CO , SensorType_SoilHumidity , SensorType_SoilReactivity , SensorType_SoilSalinity , SensorType_HeartRate , SensorType_BloodPressure , SensorType_MuscleMass , SensorType_FatMass , SensorType_BoneMass , SensorType_TBW , SensorType_BMR , SensorType_BMI , SensorType_AccelerationX , SensorType_AccelerationY , SensorType_AccelerationZ , SensorType_SmokeDensity , SensorType_WaterFlow , SensorType_WaterPressure , SensorType_RFSignalStrength , SensorType_PM10 , SensorType_RespiratoryRate , SensorType_RelativeModulationLevel , SensorType_BoilerWaterTemperature , SensorType_DHWTemperature , SensorType_OutsideTemperature , SensorType_ExhaustTemperature , SensorType_WaterChlorineLevel , SensorType_WaterAcidity , SensorType_WaterOxidation , SensorType_MaxType }

## Enumeration Type Documentation

## ◆ SensorMultilevelCmd

enum SensorMultilevelCmd

Enumerator
SensorMultilevelCmd_SupportedGet |
SensorMultilevelCmd_SupportedReport |
SensorMultilevelCmd_Get |
SensorMultilevelCmd_Report |

## ◆ SensorType

enum SensorType

Enumerator
SensorType_Temperature |
SensorType_General |
SensorType_Luminance |
SensorType_Power |
SensorType_RelativeHumidity |
SensorType_Velocity |
SensorType_Direction |
SensorType_AtmosphericPressure |
SensorType_BarometricPressure |
SensorType_SolarRadiation |
SensorType_DewPoint |
SensorType_RainRate |
SensorType_TideLevel |
SensorType_Weight |
SensorType_Voltage |
SensorType_Current |
SensorType_CO2 |
SensorType_AirFlow |
SensorType_TankCapacity |
SensorType_Distance |
SensorType_AnglePosition |
SensorType_Rotation |
SensorType_WaterTemperature |
SensorType_SoilTemperature |
SensorType_SeismicIntensity |
SensorType_SeismicMagnitude |
SensorType_Ultraviolet |
SensorType_ElectricalResistivity |
SensorType_ElectricalConductivity |
SensorType_Loudness |
SensorType_Moisture |
SensorType_Frequency |
SensorType_Time |
SensorType_TargetTemperature |
SensorType_PM25 |
SensorType_CH2O |
SensorType_RadonConcentration |
SensorType_CH4Density |
SensorType_VOC |
SensorType_CO |
SensorType_SoilHumidity |
SensorType_SoilReactivity |
SensorType_SoilSalinity |
SensorType_HeartRate |
SensorType_BloodPressure |
SensorType_MuscleMass |
SensorType_FatMass |
SensorType_BoneMass |
SensorType_TBW |
SensorType_BMR |
SensorType_BMI |
SensorType_AccelerationX |
SensorType_AccelerationY |
SensorType_AccelerationZ |
SensorType_SmokeDensity |
SensorType_WaterFlow |
SensorType_WaterPressure |
SensorType_RFSignalStrength |
SensorType_PM10 |
SensorType_RespiratoryRate |
SensorType_RelativeModulationLevel |
SensorType_BoilerWaterTemperature |
SensorType_DHWTemperature |
SensorType_OutsideTemperature |
SensorType_ExhaustTemperature |
SensorType_WaterChlorineLevel |
SensorType_WaterAcidity |
SensorType_WaterOxidation |
SensorType_MaxType |